Package com.pixelmed.apps

# Class RotateFlipSetOfImages

java.lang.Object
com.pixelmed.apps.RotateFlipSetOfImages

public class RotateFlipSetOfImages extends Object

A class containing an application for rotating and/or flipping a set of images and updating the other attributes accordingly.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`RotateFlipSetOfImages.OurMediaImporter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`dstFolderName`
`protected boolean`
`horizontal_flip`
`protected String`
`ourAETitle`
`protected int`
`rotation`
`protected boolean`
`update_orientation`

## Constructor Summary

Constructors
Constructor
Description
`RotateFlipSetOfImages(int rotation, boolean horizontal_flip, boolean update_orientation, String src, String dstFolderName, MessageLogger logger)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`correctImageOrientationPatient(AttributeList list, int rotation, boolean horizontal_flip)`
`static void`
`correctPatientOrientation(AttributeList list, int rotation, boolean horizontal_flip)`
`static double[]`
`invertDirectionOfColumnVector(double[] vImageOrientationPatient)`
`static double[]`
`invertDirectionOfRowVector(double[] vImageOrientationPatient)`
`static void`
`main(String[] arg)`
Rotating and/or flipping a set of images and updating the other attributes accordingly.
`static void`
`setDerived(AttributeList list, int rotation, boolean horizontal_flip, boolean update_orientation)`
`static double[]`
`swapRowAndColumnVectors(double[] vImageOrientationPatient)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ourAETitle

protected String ourAETitle

### dstFolderName

protected String dstFolderName

### rotation

protected int rotation

### horizontal_flip

protected boolean horizontal_flip

### update_orientation

protected boolean update_orientation

## Constructor Details

### RotateFlipSetOfImages

public RotateFlipSetOfImages(int rotation, boolean horizontal_flip, boolean update_orientation, String src, String dstFolderName, MessageLogger logger) throws IOException, DicomException

Throws:
  `IOException`
  `DicomException`

## Method Details

### setDerived

public static void setDerived(AttributeList list, int rotation, boolean horizontal_flip, boolean update_orientation) throws DicomException

Throws:
  `DicomException`

### correctPatientOrientation

public static void correctPatientOrientation(AttributeList list, int rotation, boolean horizontal_flip) throws DicomException

Throws:
  `DicomException`

### swapRowAndColumnVectors

public static double[] swapRowAndColumnVectors(double[] vImageOrientationPatient)

### invertDirectionOfRowVector

public static double[] invertDirectionOfRowVector(double[] vImageOrientationPatient)

### invertDirectionOfColumnVector

public static double[] invertDirectionOfColumnVector(double[] vImageOrientationPatient)

### correctImageOrientationPatient

public static void correctImageOrientationPatient(AttributeList list, int rotation, boolean horizontal_flip) throws DicomException

Throws:
  `DicomException`

### main

public static void main(String[] arg)

Rotating and/or flipping a set of images and updating the other attributes accordingly.

Parameters:
  `arg` - array of 5 strings - rotation (0, 90, 180 or 270 degrees), horizontal flip (Y or N), update orientation (Y or N), source folder or DICOMDIR, destination folder